package model

const (
	_  = 1 << (10 * iota) // ignore first value by assigning to blank identifier
	KB                    // 1024
	MB                    // 1024 * KB
	GB                    // 1024 * MB
	TB                    // 1024 * GB
	PB                    // 1024 * TB
	EB                    // 1024 * PB
	ZB                    // 1024 * EB
	YB                    // 1024 * ZB
)

const (
	GroupIDLength      = 4
	GroupDefaultName   = "default"
	GroupBroadcastName = "all"
)

const (
	LogCreateInBatchSize = 100
)

const (
	// ListDefaultBufferSize  列表查询默认 size
	ListDefaultBufferSize = 8
	ListDefaultLimitSize  = 100000
)

const (
	ConfigFilePath = "./conf"
	ConfigFileName = ConfigName + "." + ConfigType
	ConfigType     = "yaml"
	ConfigName     = "application"
)

const (
	FileFormKey = "file"
)
